#pragma once
#include <stdio.h>

class CFrameInfo
{
public:
	typedef enum
	{
		Frame_Type_Video = 0,
		Frame_Type_Audio,
		Frame_Type_WhiteBoard,
		Frame_Type_RoomMode,
	}CFrameType;

	CFrameInfo();
	~CFrameInfo();

	int InitFrame(int nDataSize);
	int UnInitFrame();
	void ResetFrame();

	unsigned char		*m_pData;
	int					m_nWidth;
	int					m_nHeight;
	int					m_nDataSize;

	double				m_dDuration;
	double				m_nPts;
	long long			m_nPosition;

	CFrameType			m_mediaType;
};
